<?php
/**
 * Createing a contact us page pannel for customizer
 *
 */

// CREATING A SECTION IN CUSTOMIZER
$wp_customize->add_section(
	'luzuk_premium_contactus_section',
	array(
		'title' => __( 'Contact Us Page', 'luzuk-premium' ),
        // 'panel' => 'luzuk_premium_home_panel'
		'priority' =>20
	)
);

lzCustomLable($wp_customize, 'contactuspg_conwidth', 'luzuk_premium_contactus_section', 'Section Width ');

$wp_customize->add_setting('innpg_c_width',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 'container-fluid'));
$wp_customize->add_control( new Luzuk_Custom_Select_Control( $wp_customize, 'innpg_c_width', array(
    'label'    => __( '', 'luzuk' ),
    'section'  => 'luzuk_premium_contactus_section', // Replace with your actual section ID
    'settings' => 'innpg_c_width',
    'choices'=>array(
       'container' => 'Box Width',
       'container-fluid' => 'Full Width',
       
    )
) ) );


lzCustomLable($wp_customize, 'contuspg_detailbx', 'luzuk_premium_contactus_section', 'Detail Box ');

$wp_customize->add_setting(
    'conpg_subtitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Contact Us', 'luzuk Premium' )
    )
);
$wp_customize->add_control(
    'conpg_subtitle',
    array(
        'settings'      => 'conpg_subtitle',
        'section'       => 'luzuk_premium_contactus_section',
        'type'          => 'text',
        'label'         => __( 'Sub Title', 'luzuk Premium' )
    )
);

$wp_customize->add_setting(
    'conpg_title',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Let’s talk', 'luzuk Premium' )
    )
);
$wp_customize->add_control(
    'conpg_title',
    array(
        'settings'      => 'conpg_title',
        'section'       => 'luzuk_premium_contactus_section',
        'type'          => 'text',
        'label'         => __( 'Title', 'luzuk Premium' )
    )
);

$wp_customize->add_setting(
    'conpg_txt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Say something to start a live chat!', 'luzuk Premium' )
    )
);
$wp_customize->add_control(
    'conpg_txt',
    array(
        'settings'      => 'conpg_txt',
        'section'       => 'luzuk_premium_contactus_section',
        'type'          => 'textarea',
        'label'         => __( 'Text', 'luzuk Premium' )
    )
);



$wp_customize->add_setting(
    'contactpg_phone',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '+000 000-000-000', 'luzuk Premium' )
    )
);
$wp_customize->add_control(
    'contactpg_phone',
    array(
        'settings'      => 'contactpg_phone',
        'section'       => 'luzuk_premium_contactus_section',
        'type'          => 'text',
        'label'         => __( 'Phone No', 'luzuk Premium' )
    )
);


$wp_customize->add_setting(
    'contactpg_email',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'demo@gmail.com', 'luzuk Premium' )
    )
);
$wp_customize->add_control(
    'contactpg_email',
    array(
        'settings'      => 'contactpg_email',
        'section'       => 'luzuk_premium_contactus_section',
        'type'          => 'text',
        'label'         => __( 'Email ID', 'luzuk Premium' )
    )
);

$wp_customize->add_setting(
    'contactpg_address',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Add Address here..', 'luzuk Premium' )
    )
);
$wp_customize->add_control(
    'contactpg_address',
    array(
        'settings'      => 'contactpg_address',
        'section'       => 'luzuk_premium_contactus_section',
        'type'          => 'textarea',
        'label'         => __( 'Address Text', 'luzuk Premium' )
    )
);

lzCustomLable($wp_customize, 'conpg_cirset', 'luzuk_premium_contactus_section', 'Box Circle Display Setting');

$wp_customize->add_setting( 'conpg_cirdisplay' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'conpg_cirdisplay', array( 'label' => 'Circle Display', 'section' => 'luzuk_premium_contactus_section', 'settings' => 'conpg_cirdisplay', 'type' => 'radio', 'choices' => array( 'show' => 'Show ', 'hide' => 'Hide ', ), ) ); 

addColorPalatOption($wp_customize, 'conpg_detlcir1Clr', 'luzuk_premium_contactus_section', 'Box Circle Color 1', '#375658');

addColorPalatOption($wp_customize, 'conpg_detlcir2Clr', 'luzuk_premium_contactus_section', 'Box Circle Color 2', '#1c3436');

addColorPalatOption($wp_customize, 'conpg_detlcir3Clr', 'luzuk_premium_contactus_section', 'Box Circle Color 3', '#2a4c4e');

addColorPalatOption($wp_customize, 'conpg_detlcir4Clr', 'luzuk_premium_contactus_section', 'Box Circle Color 4', '#264547');


lzCustomLable($wp_customize, 'luzuk_contpageclr', 'luzuk_premium_contactus_section', 'Detail Box Color ');

addColorPalatOption($wp_customize, 'conpb_detlbxbg1Clr', 'luzuk_premium_contactus_section', 'Box Color 1', '#1B4446');

addColorPalatOption($wp_customize, 'conpb_detlbxbg2Clr', 'luzuk_premium_contactus_section', 'Box Color 2', '#265355');

addColorPalatOption($wp_customize, 'conpg_subtitlebgClr', 'luzuk_premium_contactus_section', 'Sub Title BG', '#fff');

addColorPalatOption($wp_customize, 'conpg_subtitleClr', 'luzuk_premium_contactus_section', 'Sub Title Color', '#0C1E21');

addColorPalatOption($wp_customize, 'conpg_titleClr', 'luzuk_premium_contactus_section', 'Title Color', '#fff');

addColorPalatOption($wp_customize, 'conpg_txtClr', 'luzuk_premium_contactus_section', 'Text Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_dphemicnClr', 'luzuk_premium_contactus_section', 'Address Text , Email , Phone No. Icon Color', '#fff');


addColorPalatOption($wp_customize, 'luzuk_contactus_dphemClr', 'luzuk_premium_contactus_section', 'Address Text , Email , Phone No. Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_dphemhvClr', 'luzuk_premium_contactus_section', 'Email , Phone No. Hover Color', '#000');

// 
lzCustomLable($wp_customize, 'contactpg_smedia', 'luzuk_premium_contactus_section' , 'Social Media');

// FACEBOOK 
$wp_customize->add_setting('conpg_fb', array('default'=> 'https://facebook.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('conpg_fb',
    array(
        'settings'      => 'conpg_fb',
        'section'       => 'luzuk_premium_contactus_section',
        'type'          => 'url',
        'label'         => __( 'Facebook Url', 'luzuk-premium' )
    )
);


// Instagram
$wp_customize->add_setting('conpg_insta',array('default'=> 'https://www.instagram.com/','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('conpg_insta',
    array(
        'settings'      => 'conpg_insta',
        'section'       => 'luzuk_premium_contactus_section',
        'type'          => 'url',
        'label'         => __( 'Instagram Url', 'luzuk-premium' )
    )
);

// TWITTER
$wp_customize->add_setting('conpg_tw', array('default'=> 'https://twitter.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('conpg_tw',
    array(
        'settings'      => 'conpg_tw',
        'section'       => 'luzuk_premium_contactus_section',
        'type'          => 'url',
        'label'         => __( 'Twitter Url', 'luzuk-premium' )
    )
);

// pinterest
$wp_customize->add_setting('conpg_lkdin',array('default'=> 'https://in.linkedin.com/','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('conpg_lkdin',
    array(
        'settings'      => 'conpg_lkdin',
        'section'       => 'luzuk_premium_contactus_section',
        'type'          => 'url',
        'label'         => __( 'Linkedin Url', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'contpg_socmedicnclr', 'luzuk_premium_contactus_section', 'social Media Icon Color', '#fff');

addColorPalatOption($wp_customize, 'contpg_socmedicnhvclr', 'luzuk_premium_contactus_section', 'social Media Icon Hover Color', '#0E2628');

addColorPalatOption($wp_customize, 'contpg_socmedicnbgclr', 'luzuk_premium_contactus_section', 'social Media Icon BG Color', '#0E2628');

addColorPalatOption($wp_customize, 'contpg_socmedicnbghvclr', 'luzuk_premium_contactus_section', 'social Media Icon BG Hover Color', '#fff');



lzCustomLable($wp_customize, 'luzuk_sec_Formcontpageclr', 'luzuk_premium_contactus_section', 'Form Box ');


$wp_customize->add_setting(
    'conpgtb_txt1',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '[your Shortcode]' )
    )
);
$wp_customize->add_control(
    'conpgtb_txt1',
    array(
        'settings'      => 'conpgtb_txt1',
        'section'       => 'luzuk_premium_contactus_section',
        'type'          => 'text',
        'label'         => __( 'Form Shortcode Here ', 'luzuk Premium' )
    )
);



lzCustomLable($wp_customize, 'contuspg_dfmclr', 'luzuk_premium_contactus_section', 'Form Color ');


addColorPalatOption($wp_customize, 'contactpg_fmlableclr', 'luzuk_premium_contactus_section', 'Form Lable Color', '#000');

addColorPalatOption($wp_customize, 'contactpg_fmtxtclr', 'luzuk_premium_contactus_section', 'Form Text & Placeholder Color', '#000');

addColorPalatOption($wp_customize, 'contactpg_fmplacebgclr', 'luzuk_premium_contactus_section', 'Form Placeholder BG Color', '#fff');

addColorPalatOption($wp_customize, 'contactpg_fmplacebrdclr', 'luzuk_premium_contactus_section', 'Form Placeholder Border Color', '#ccc');

addColorPalatOption($wp_customize, 'contactpg_btntxtclr', 'luzuk_premium_contactus_section', 'Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'contactpg_btnBGclr', 'luzuk_premium_contactus_section', 'Button BG Color', '#1B4446');

addColorPalatOption($wp_customize, 'contactpg_btnBGhvclr', 'luzuk_premium_contactus_section', 'Button BG Hover Color', '#456C6F');



lzCustomLable($wp_customize, 'luzuk_contpagemap', 'luzuk_premium_contactus_section', 'Map Box ');
//field for addeding the map code

$wp_customize->add_setting(
    'map_title',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'LOCATION', 'luzuk Premium' )
    )
);
$wp_customize->add_control(
    'map_title',
    array(
        'settings'      => 'map_title',
        'section'       => 'luzuk_premium_contactus_section',
        'type'          => 'text',
        'label'         => __( 'Map Title', 'luzuk Premium' )
    )
);

addColorPalatOption($wp_customize, 'contactpg_maptitleclr', 'luzuk_premium_contactus_section', 'Map Title Color', '#0F1C1D');

addColorPalatOption($wp_customize, 'contactpg_maptitlebrdclr', 'luzuk_premium_contactus_section', 'Map Title Border Color', '#ccc');

$wp_customize->add_setting('luzuk_contactus_embade', array(/*'sanitize_callback' => 'esc_url_raw',*/ 'default'=>'Add Your Map Embade Code'));
$wp_customize->add_control('luzuk_contactus_embade', array('settings'=>'luzuk_contactus_embade', 'section'=>'luzuk_premium_contactus_section','type'=>'textarea', 'label'=> __('Code For Map', 'luzuk-premium')));